# EventPerfLogGetVisible

This function returns whether an event is printed during PetscLogPrintSummary()

### Synopsis

    #include "petsc.h"
    PetscErrorCode EventPerfLogGetVisible(EventPerfLog eventLog, PetscEvent event, PetscTruth *isVisible)

Not Collective

### Input Parameters

| eventLog | - The EventPerfLog
| event | - The event id to log

### Output Parameter

isVisible -The visibility flag, PETSC_TRUE for printing, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Database Options

-log_summary -Activates log summary

### Keywords

log, visible, event

### See Also

EventPerfLogSetVisible(), EventRegLogRegister(), StageLogGetEventLog()

Level:intermediate
Location: src/sys/plog/utils/eventLog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages